Skip to main content
POST
/
v1
/
public
/
finance
/
bookings
/
{bookingId}
/
guarantees
/
{guaranteeId}
/
payment-session
Start a payment session for a guarantee
curl --request POST \
  --url https://{operatorDomain}/v1/public/finance/bookings/{bookingId}/guarantees/{guaranteeId}/payment-session \
  --header 'Content-Type: application/json' \
  --data '
{
  "payerName": "<string>",
  "payerEmail": "jsmith@example.com",
  "returnUrl": "<string>"
}
'
{
  "data": {
    "id": "psess_01HZX...",
    "status": "open",
    "amountCents": 119000,
    "currency": "EUR",
    "provider": "netopia",
    "redirectUrl": "<string>",
    "payerEmail": "<string>",
    "payerName": "<string>"
  }
}

Path Parameters

bookingId
string
required
guaranteeId
string
required

Body

application/json

Body for starting a public payment session.

payerName
string | null
payerEmail
string<email> | null
method
enum<string> | null
Available options:
card,
bank_transfer
returnUrl
string | null

Response

Payment session

data
object

Redacted public projection of a payment session — the session id is itself the bearer credential.